summaryrefslogtreecommitdiffstats
path: root/make_slackware_live.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xmake_slackware_live.sh7
1 files changed, 5 insertions, 2 deletions
diff --git a/make_slackware_live.sh b/make_slackware_live.sh
index 4518b7f..03e8fb9 100755
--- a/make_slackware_live.sh
+++ b/make_slackware_live.sh
@@ -1687,8 +1687,11 @@ if [ "$LIVEDE" = "PLASMA5" ]; then
rm -f ${LIVE_ROOTDIR}/usr/share/xsessions/openbox-session.desktop || true
# Remove the buggy mediacenter session:
rm -f ${LIVE_ROOTDIR}/usr/share/xsessions/plasma-mediacenter.desktop || true
- # Remove the non-functional wayland session:
- rm -f ${LIVE_ROOTDIR}/usr/share/wayland-sessions/plasmawayland.desktop || true
+ # Remove non-functional wayland session:
+ if [ ! -f ${LIVE_ROOTDIR}usr/lib${DIRSUFFIX}/qt5/bin/qtwaylandscanner ];
+ then
+ rm -f ${LIVE_ROOTDIR}/usr/share/wayland-sessions/plasmawayland.desktop || true
+ fi
# Set sane SDDM defaults on first boot (root-owned file):
mkdir -p ${LIVE_ROOTDIR}/var/lib/sddm
cat <<EOT > ${LIVE_ROOTDIR}/var/lib/sddm/state.conf